classification
Title: Small bat files to build docs on Windows
Type: enhancement Stage:
Components: Windows Versions: Python 3.0, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: JosephArmbruster, amaury.forgeotdarc, christian.heimes, georg.brandl, loewis
Priority: low Keywords: patch

Created on 2007-11-20 03:27 by christian.heimes, last changed 2008-01-18 12:00 by christian.heimes. This issue is now closed.

Files
File name Uploaded Description Edit
builddoc.bat christian.heimes, 2007-11-20 03:28
Messages (13)
msg57690 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-11-20 03:28
I've created a small bat files that mimics the Makefile in Docs/. It may
be useful for some Windows users.
msg57692 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2007-11-20 03:59
See also Tools/buildbot/buildmsi.bat. With cygwin installed, building
the documentation is as simple as

bash.exe -c 'cd Doc;make PYTHON=python2.5 update htmlhelp'
"%ProgramFiles%\HTML Help Workshop\hhc.exe" Doc\build\htmlhelp\pydoc.hhp
msg59264 - (view) Author: Joseph Armbruster (JosephArmbruster) Date: 2008-01-04 22:31
I tested this out out in the trunk (59706).  Placed builddoc.bat in /Doc
and ran the following commands:

builddoc checkout
builddoc html
builddoc htmlhelp
builddoc web

All appeared to work fine on my system.
msg59682 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-01-10 22:05
This batch file is a good idea. I have two remarks:
- it assumes that the python program is spelled "python25".
This could be configurable. Something along:
    IF "%PYTHON%"=="" SET PYTHON=python25
Or is there a better way?

- Also, I suggest to insert a
    SETLOCAL
command on the second line of the script, so that the variables set in
the script are restored at the end.
msg59714 - (view) Author: Joseph Armbruster (JosephArmbruster) Date: 2008-01-11 15:07
Is referencing the built python binary in the build tree a good idea? 
Just in case they do not have python installed on the system already?
msg59717 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-01-11 15:17
Joseph Armbruster wrote:
> Is referencing the built python binary in the build tree a good idea? 
> Just in case they do not have python installed on the system already?

The doc builder requires Python 2.5 and *may* work with 2.6 but
definitely not with 3.x.
msg59718 - (view) Author: Joseph Armbruster (JosephArmbruster) Date: 2008-01-11 15:20
Ah, good to know :-)
msg59721 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-01-11 17:09
Christian Heimes schrieb:
> Christian Heimes added the comment:
> 
> Joseph Armbruster wrote:
>> Is referencing the built python binary in the build tree a good idea? 
>> Just in case they do not have python installed on the system already?
> 
> The doc builder requires Python 2.5 and *may* work with 2.6 but
> definitely not with 3.x.

It should work with 2.6 without problems.

3k compatibility is another story, of course :)
msg59733 - (view) Author: Joseph Armbruster (JosephArmbruster) Date: 2008-01-11 18:27
Which brings up a question.  Would all things in the tree ideally work
with the version that was built from checkout?  Just in case something
like this comes up in the future, i'd want to know if it is better to
have it configured as this or to auto-magically point to the "right
place" in the build tree for the python binary.

Curiosity more than anything.
msg59820 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-01-12 13:59
Ideally, yes. The case of the doc build is a bit more complicated
because it relies on external libraries which may or may not work with
the tree version.
msg59826 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-01-12 17:06
> Would all things in the tree ideally work
> with the version that was built from checkout?

It's more important that it works with many old versions,
than with its own version. "python" should be on the path,
and ideally, whatever you get there should work.

The documentation, unfortunately, requires 2.5 as a minimum.
It should stay that way for a long time, so that at some
point, it works with whatever people typically have on their
machines.
msg59856 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-01-13 16:32
FTR, I'm currently removing all 2.5isms from Sphinx.
msg60088 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-01-18 12:00
I've implemented Amaury's suggestions and also added a call to hhc.exe
if the target is htmlhelp. The files was added in r60048
History
Date User Action Args
2008-01-18 12:00:32christian.heimessetstatus: open -> closed
resolution: fixed
messages: + msg60088
2008-01-13 16:32:08georg.brandlsetmessages: + msg59856
2008-01-12 17:06:18loewissetmessages: + msg59826
2008-01-12 13:59:27georg.brandlsetmessages: + msg59820
2008-01-11 18:27:15JosephArmbrustersetmessages: + msg59733
2008-01-11 17:09:24georg.brandlsetnosy: + georg.brandl
messages: + msg59721
2008-01-11 15:20:24JosephArmbrustersetmessages: + msg59718
2008-01-11 15:17:32christian.heimessetmessages: + msg59717
2008-01-11 15:07:48JosephArmbrustersetmessages: + msg59714
2008-01-10 22:05:11amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg59682
2008-01-06 22:29:44adminsetkeywords: - py3k
versions: Python 2.6, Python 3.0
2008-01-04 22:31:04JosephArmbrustersetnosy: + JosephArmbruster
messages: + msg59264
2008-01-03 20:11:46JosephArmbrustersetcomponents: + Windows
2007-11-20 03:59:09loewissetnosy: + loewis
messages: + msg57692
2007-11-20 03:28:14christian.heimessetfiles: + builddoc.bat
messages: + msg57690
2007-11-20 03:27:34christian.heimescreate